## python-django-formtools 1.0

=== Makefile ===
export DJANGO_SETTINGS_MODULE = tests.settings
export PYTHONPATH := $(shell pwd)

clean:
	git clean -Xfd

maketranslations:
	cd formtools; django-admin.py makemessages -a -v2

pulltranslations:
	tx pull -f -a --minimum-perc=1

compiletranslations:
	cd formtools; django-admin.py compilemessages

translations: pulltranslations maketranslations compiletranslations
	@echo "Pulling, making and compiling translations"

docs:
	$(MAKE) -C docs clean html

test:
	@flake8 --ignore=W801,E128,E501,W402 formtools
	@ coverage run `which django-admin.py` test tests
	@coverage report

.PHONY: clean docs test maketranslations pulltranslations compiletranslations

=== tests/requirements.txt ===
coverage==3.7.1
flake8==2.2.3

=== debian/changelog ===
python-django-formtools (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #798669)

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Sep 2015 17:47:46 +0200

=== debian/control ===
Source: python-django-formtools
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-django (>= 1.7),
                     python3-django (>= 1.7),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-formtools.git
Vcs-Git: git://anonscm.debian.org/openstack/python-django-formtools.git
Homepage: http://django-formtools.readthedocs.org/en/latest/

Package: python-django-formtools
Architecture: all
Depends: python-django (>= 1.7),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-django-formtools-doc,
Description: set of high-level abstractions for Django forms - Python 2.7
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the Python 2.7 module.

Package: python3-django-formtools
Architecture: all
Depends: python3-django (>= 1.7),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-django-formtools-doc,
Description: set of high-level abstractions for Django forms - Python 3.x
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the Python 3.x module.

Package: python-django-formtools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: set of high-level abstractions for Django forms - doc
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/django/django-formtools.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-django-formtools; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-django-formtools; \
	done
	rm -rf $(CURDIR)/debian/python*-django-formtools/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		python$$pyvers setup.py test ; \
	done
endif


override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-django-formtools-doc/usr/share/doc/python-django-formtools-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-django-formtools 1.0+20160714.git54f1ccca01

=== tests/requirements.txt ===
coverage==3.7.1
flake8==2.2.3
isort

=== debian/changelog ===
python-django-formtools (1.0+20160714.git54f1ccca01-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release based on git 1.0+20160714.git54f1ccca01
    (Closes: #828667).
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.8 (no change).
  * Using pkgos-dh_auto_install from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2016 09:20:46 +0000

python-django-formtools (1.0-2) unstable; urgency=medium

  * Fix FTBFS with Python 3 (Closes: #803705).

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Nov 2015 11:02:11 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,19 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python-django (>= 1.7),
+Build-Depends-Indep: python-coverage,
+                     python-django (>= 1.7),
+                     python3-coverage,
                      python3-django (>= 1.7),
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-django-formtools.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-django-formtools.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-django-formtools.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-django-formtools.git
 Homepage: http://django-formtools.readthedocs.org/en/latest/
 
 Package: python-django-formtools

## python-django-formtools 2.0

=== debian/changelog ===
python-django-formtools (2.0-1fakesync1) artful-proposed; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 25 Aug 2017 09:16:14 +0200

python-django-formtools (2.0-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release:
    - Do not use lazy_property anymore (Closes: #865944).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Aug 2017 15:02:32 +0000

=== debian/control ===
Source: python-django-formtools
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-django (>= 1.7),
 python3-coverage,
 python3-django (>= 1.7),
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-django-formtools.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-django-formtools.git
Homepage: http://django-formtools.readthedocs.org/en/latest/

Package: python-django-formtools
Architecture: all
Depends:
 python-django (>= 1.7),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-django-formtools-doc,
Description: set of high-level abstractions for Django forms - Python 2.7
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the Python 2.7 module.

Package: python-django-formtools-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: set of high-level abstractions for Django forms - doc
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the documentation.

Package: python3-django-formtools
Architecture: all
Depends:
 python3-django (>= 1.7),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-formtools-doc,
Description: set of high-level abstractions for Django forms - Python 3.x
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,29 +1,25 @@
 #!/usr/bin/make -f
 
-PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=$(shell py3versions -vr)
-
-UPSTREAM_GIT = git://github.com/django/django-formtools.git
--include /usr/share/openstack-pkg-tools/pkgos.make
+UPSTREAM_GIT := https://github.com/django/django-formtools.git
+include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-django-formtools; \
-	done
-	set -e ; for pyvers in $(PYTHON3S); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python3-django-formtools; \
-	done
-	rm -rf $(CURDIR)/debian/python*-django-formtools/usr/lib/python*/dist-packages/*.pth
+	pkgos-dh_auto_install
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		python$$pyvers setup.py test ; \
+	set -e ; set -x ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
+		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
+		if [ $$PYMAJOR = "2" ] ; then \
+			LIBDIR_END=$$pyvers ; \
+		else \
+			LIBDIR_END=$$PYMAJOR ; \
+		fi ; \
+		PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings PYTHON=python$${pyvers} python$${PYMAJOR}-coverage run /usr/lib/python$$LIBDIR_END/dist-packages/django/bin/django-admin.py test tests ; \
 	done
 endif

## python-django-formtools 2.1

=== debian/changelog ===
python-django-formtools (2.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Removed Python 2 support.
  * New upstream release.
  * Django 2.2 compat:
    add-use_required_attribute-false-in-test.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jul 2019 11:42:01 +0200

=== debian/control ===
Source: python-django-formtools
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-coverage,
 python3-django,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-django-formtools
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-django-formtools.git
Homepage: http://django-formtools.readthedocs.org/en/latest/

Package: python-django-formtools-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: set of high-level abstractions for Django forms - doc
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the documentation.

Package: python3-django-formtools
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-formtools-doc,
Description: set of high-level abstractions for Django forms - Python 3.x
 Django's formtools is a set of high-level abstractions for Django forms.
 Currently for form previews and multi-step forms.
 .
 This code used to live in Django proper: in django.contrib.formtools. But it
 was separated into a standalone package in Django 1.8 to keep the framework's
 core clean.
 .
 This package contains the Python 3.x module.

## python-django-formtools 2.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,8 @@
 	$(MAKE) -C docs clean html
 
 test:
-	@flake8 --ignore=W801,E128,E501,W402 formtools
+	@flake8
+	@isort --recursive --check-only --diff formtools tests
 	@ coverage run `which django-admin.py` test tests
 	@coverage report

=== debian/changelog ===
python-django-formtools (2.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 10:22:36 +0200

python-django-formtools (2.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed add-use_required_attribute-false-in-test.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 21:52:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,7 +14,7 @@
 Build-Depends-Indep:
  python3-coverage,
  python3-django,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-django-formtools
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-django-formtools.git
 Homepage: http://django-formtools.readthedocs.org/en/latest/

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/django/django-formtools.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		if [ $$PYMAJOR = "2" ] ; then \
			LIBDIR_END=$$pyvers ; \
		else \
			LIBDIR_END=$$PYMAJOR ; \
		fi ; \
		PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings PYTHON=python$${pyvers} python$${PYMAJOR}-coverage run /usr/lib/python$$LIBDIR_END/dist-packages/django/bin/django-admin.py test tests ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-django-formtools-doc/usr/share/doc/python-django-formtools-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/django/django-formtools/tags .*/(\d[\d\.]+)\.tar\.gz

## python-django-formtools 2.3

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,9 @@
 
 test:
 	@flake8
-	@isort --recursive --check-only --diff formtools tests
-	@ coverage run `which django-admin.py` test tests
+	@isort --check-only --diff formtools tests
+	@ coverage run `which django-admin` test tests
 	@coverage report
+	@coverage xml
 
 .PHONY: clean docs test maketranslations pulltranslations compiletranslations

=== tests/requirements.txt ===
coverage==4.5.4
flake8
isort

=== debian/changelog ===
python-django-formtools (2.3-3) unstable; urgency=medium

  * Use /usr/bin/django-admin instead of django-admin.py. (Closes: #1013605).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jun 2022 15:59:14 +0200

python-django-formtools (2.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed add-use_required_attribute-false-in-test.patch applied upstream.
  * Set SETUPTOOLS_SCM_PRETEND_VERSION and build-depends on
    python3-setuptools-scm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 09:52:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 UPSTREAM_GIT := https://github.com/django/django-formtools.git
 include /usr/share/openstack-pkg-tools/pkgos.make
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
@@ -27,7 +29,7 @@
 		else \
 			LIBDIR_END=$$PYMAJOR ; \
 		fi ; \
-		PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings PYTHON=python$${pyvers} python$${PYMAJOR}-coverage run /usr/lib/python$$LIBDIR_END/dist-packages/django/bin/django-admin.py test tests ; \
+		PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings PYTHON=python$${pyvers} python$${PYMAJOR}-coverage run /usr/bin/django-admin test tests ; \
 	done
 endif

## python-django-formtools 2.4.1

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,13 @@
 	git clean -Xfd
 
 maketranslations:
-	cd formtools; django-admin.py makemessages -a -v2
+	cd formtools; django-admin makemessages -a -v2
 
 pulltranslations:
 	tx pull -f -a --minimum-perc=1
 
 compiletranslations:
-	cd formtools; django-admin.py compilemessages
+	cd formtools; django-admin compilemessages
 
 translations: pulltranslations maketranslations compiletranslations
 	@echo "Pulling, making and compiling translations"

=== tests/requirements.txt ===
coverage==4.5.4
flake8
isort>=5.11.1, <6.0

=== debian/changelog ===
python-django-formtools (2.4.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 21:31:06 +0200

python-django-formtools (2.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 14:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  openstack-pkg-tools,
  python3-all,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build *.egg-info .coverage
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-django-formtools 2.5.1

=== debian/changelog ===
python-django-formtools (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add pybuild-plugin-pyproject as build-depends.
  * Use pybuild for installing the package.
  * Add autopkgtest.
  * Add override_dh_auto_install, as pybuild isn't doing right.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 15:43:37 +0200

python-django-formtools (2.4.1-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090490).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 11:07:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-setuptools-scm,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/django/django-formtools.git
include /usr/share/openstack-pkg-tools/pkgos.make

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build *.egg-info .coverage
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

#override_dh_auto_install:
#	python3 -m build --sdist --outdir=dist/
#	python3 -m installer --destdir=$(CURDIR)/debian/python3-django-formtools dist/*.tar.gz

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for pyvers in $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		LIBDIR_END=$$PYMAJOR ; \
		PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings PYTHON=python$${pyvers} python$${pyvers} -m coverage run /usr/bin/django-admin test tests ; \
	done
endif


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-django-formtools-doc/usr/share/doc/python-django-formtools-doc/html
	dh_sphinxdoc
endif
